#include "bootboot.h"
#include "interrupts/Context.h"
#include "std/errno.h"
#include "sys/UserMemory.h"
#include "thread/PIT.h"
#include "thread/Scheduler.h"
#include "utils/Time.h"
#include <sys/types.h>

static uint64_t unix_boot_time;

extern BOOTBOOT bootboot;

void clock_init()
{
    unix_boot_time = unix_boottime(bootboot.datetime);
}